%define major 1
%define libname %mklibname notify %{major}

Summary:	Desktop notifications library
Name:		libnotify
Version:	0.4.4
Release:	%mkrel 3
License:	GPL
Group:		System/Libraries
URL:		http://www.galago-project.org/
Source:		http://www.galago-project.org/files/releases/source/libnotify/libnotify-%version.tar.bz2
Buildrequires:	dbus-glib-devel
Buildrequires:	popt-devel
Buildrequires:	gtk+2-devel
Buildrequires:	gtk-doc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{libname}
Group:		System/Libraries
Summary:	Desktop notifications library - shared library
Requires:	virtual-notification-daemon

%description -n %{libname}
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.

%package -n %{libname}-devel
Group:		Development/C
Summary:	Desktop notifications library - headers
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %libname-devel
A library that sends desktop notifications to a notification daemon, as
defined in the Desktop Notifications spec. These notifications can be
used to inform the user about an event or display some form of
information without getting in the user's way.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*
%_datadir/gtk-doc/html/*


%changelog
* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-3mdv2008.0
+ Revision: 34662
- requires virtual-notification-daemon

* Sat Jun 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.4-2mdv2008.0
+ Revision: 34506
- drop requires on notification-daemon - as it is conflicts with xfce's one
- spec file clean


* Wed Feb 28 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.4-1mdv2007.0
+ Revision: 126923
- New release 0.4.4
- Bump release
- Switch virtual-notification-daemon to notification-daemon

* Wed Jan 10 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.3-2mdv2007.1
+ Revision: 107078
- Add Provides

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.4.3-1mdv2007.0
+ Revision: 78549
- New Release
- Import libnotify

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-2mdv2007.0
- fix buildrequires

* Mon Jun 19 2006 Götz Waschk <waschk@mandriva.org> 0.4.2-1mdv2007.0
- update file list
- New release 0.4.2

* Thu Apr 27 2006 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdk
- fix buildrequires

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- major 1
- update deps
- New release 0.3.2

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdk
- change deps
- New release 0.3.0
- use mkrel

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-3mdk
- depend on notification-daemon

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- fix buildrequires

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- initial mdk package

* Wed Jul 13 2005 Richard Hughes <richard@hughsie.com> 0.0.1-1
- initial packaging of 0.0.1

